<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.work.mapper.FollowTemplateMapper">
    
    <select id="selectList" resultType="com.ruoyi.web.work.domain.FollowTemplate">
        select * from tb_follow_template
        <where>  
            <if test="userId != null "> and user_id = #{userId}</if>
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="state != null "> and state = #{state}</if>
            <if test="deptId != null "> and dept_id = #{deptId}</if>
        </where>
    </select>

</mapper>